%define upstream_name    Net-RawIP
%define upstream_version 0.25

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 30
Summary:	A perl module can to manipulate raw IP packets
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Net-RawIP-0.23-format.patch
# Adapt to changes in glibc-2.20, CPAN RT#124134
Patch1:         Net-RawIP-0.25-Use-_DEFAULT_SOURCE-instead-of-_BSD_SOURCE.patch
# Fix missing function prototypes, CPAN RT#124134
Patch2:         Net-RawIP-0.25-Decalare-used-function.patch
# Fix compiler warnings, CPAN RT#124134
Patch3:         Net-RawIP-0.25-Silent-compiler-warnings.patch
BuildRequires:	libpcap-devel
BuildRequires:  perl(List::MoreUtils)
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
This is Net::RawIP, a perl module can to manipulate raw IP packets,
with an optional feature for manipulating Ethernet headers.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e 's!/usr/lib!%{_libdir}!g' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{?!_with_network_tests: rm t/iflist.t }
make test

%install
%make_install

%files
%doc Changes README README.Devel examples META.yml
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.250.0-30.mga10
+ Revision: 2088925
- Fix build
+ neoclust <neoclust>
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.250.0-29.mga10
+ Revision: 2010600
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.250.0-28.mga9
+ Revision: 1862242
- Rebuild for Perl 5.36

* Tue Mar 29 2022 umeabot <umeabot> 0.250.0-27.mga9
+ Revision: 1831196
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.250.0-26.mga9
+ Revision: 1726954
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.250.0-25.mga8
+ Revision: 1595117
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.250.0-24.mga8
+ Revision: 1530004
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.250.0-23.mga8
+ Revision: 1433858
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.250.0-22.mga7
+ Revision: 1293550
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.250.0-21.mga7
+ Revision: 1250102
- Rebuild for perl 5.28

* Wed Oct 04 2017 tv <tv> 0.250.0-20.mga7
+ Revision: 1168815
- disable network test

* Tue Oct 03 2017 tv <tv> 0.250.0-19.mga7
+ Revision: 1165925
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.250.0-18.mga7
+ Revision: 1149095
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.250.0-17.mga7
+ Revision: 1126455
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-16.mga6
+ Revision: 1031308
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.250.0-15.mga6
+ Revision: 962042
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.250.0-14.mga6
+ Revision: 845057
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.250.0-13.mga6
+ Revision: 842085
- no need to duplicate module name in summary

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.250.0-12.mga6
+ Revision: 842082
- rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-11.mga5
+ Revision: 739477
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.250.0-10.mga5
+ Revision: 732424
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-9.mga5
+ Revision: 685711
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.250.0-8.mga5
+ Revision: 631525
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.250.0-7.mga4
+ Revision: 524970
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.250.0-6.mga4
+ Revision: 431680
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.250.0-5.mga4
+ Revision: 431252
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-4.mga3
+ Revision: 370842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.250.0-3.mga3
+ Revision: 250997
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.250.0-2.mga2
+ Revision: 104856
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 30952
- mageia rebuild
- imported package perl-Net-RawIP

